OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
TextRefStack Struct Reference

## Public Member Functions
| TextRefStack (const TextRefStack &stack)
uint8 | PopUnsignedByte ()
int8 | PopSignedByte ()
uint16 | PopUnsignedWord ()
int16 | PopSignedWord ()
uint32 | PopUnsignedDWord ()
int32 | PopSignedDWord ()
uint64 | PopUnsignedQWord ()
int64 | PopSignedQWord ()
void | RotateTop4Words ()
| Rotate the top four words down: W1, W2, W3, W4 -> W4, W1, W2, W3.
void | PushWord (uint16 word)
void | ResetStack (const GRFFile *grffile)
void | RewindStack ()

## Data Fields
byte | stack [0x30]
byte | position
const GRFFile * | grffile
bool | used

## Detailed Description

Definition at line 813 of file newgrf_text.cpp.

The documentation for this struct was generated from the following file:

- src/newgrf_text.cpp